gi-cairo-1.0.30: Cairo bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Cairo.Structs.Region

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype Region = Region (ManagedPtr Region)

# Exported types

newtype Region Source #

Memory-managed wrapper type.

Constructors

Region (ManagedPtr Region) |

#### Instances

Instances details

Eq Region Source # |
Instance details Defined in GI.Cairo.Structs.Region Methods (==) :: Region -> Region -> Bool Source # (/=) :: Region -> Region -> Bool Source #
GBoxed Region Source # |
Instance details Defined in GI.Cairo.Structs.Region
ManagedPtrNewtype Region Source # |
Instance details Defined in GI.Cairo.Structs.Region Methods toManagedPtr :: Region -> ManagedPtr Region Source #
TypedObject Region Source # |
Instance details Defined in GI.Cairo.Structs.Region Methods glibType :: IO GType Source #
HasParentTypes Region Source # |
Instance details Defined in GI.Cairo.Structs.Region
IsGValue (Maybe Region) Source # | Convert `Region` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.Region Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Region -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Region) Source #
type ParentTypes Region Source # |
Instance details Defined in GI.Cairo.Structs.Region type ParentTypes Region = '[] :: [Type]

# Methods